Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class ParameterTranslationsImpl.ParameterInfo

    java.lang.Object
      org.hibernate.hql.internal.ast.ParameterTranslationsImpl.ParameterInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  ParameterTranslationsImpl

    public static class ParameterTranslationsImpl.ParameterInfo

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ParameterTranslationsImpl.ParameterInfo(int[] sqlPositions, Type expectedType)`
`ParameterTranslationsImpl.ParameterInfo(int sqlPosition, Type expectedType)`

Method Summary
`Type` | `getExpectedType()`
`int[]` | `getSqlLocations()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterTranslationsImpl.ParameterInfo

    public ParameterTranslationsImpl.ParameterInfo(int[] sqlPositions,
                                                   Type expectedType)

### ParameterTranslationsImpl.ParameterInfo

    public ParameterTranslationsImpl.ParameterInfo(int sqlPosition,
                                                   Type expectedType)

Method Detail

### getSqlLocations

    public int[] getSqlLocations()

### getExpectedType

    public Type getExpectedType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.